A protective case for 18650 batteries (and other sizes).

## Adding machine screws

This case can also be used to electrically connect to the battery.
1. Set `holeDiameter` appropriate to a machine screw 
2. Set `extra` to account for the height of two screw head heights
3. Insert a screw in the body and the cap with the bolts on the outside.
4. Screw the cap on tightly (which makes the electrical connection to the screw).
5. Connect wires between the plastic and the bolt
   (ideally using a spade/ring connector, but bare wires would also work).

The cap can now be used as a switch! Unscrew slightly to break the connection.

Note. PLA isn't a good choice when using this technique, because when
under stress, it deforms over time, and therefore the threads will
deform, and the pressure reduces (leading to a higher resistance connection).

Remember that litium battries are dangerous, and a short circuit
can lead to a fire. Don't leave any bare metal exposed.
